{% extends 'base.html' %}

{% block current_name %}{{ gettext("Logout") }}{% endblock %}

{% block head %}<script
	type="text/javascript"
	src="{{ url_for('static', filename='js/logout.js') }}"
></script>{% endblock %}

{% block content %}
	<section class="window main-center">
		{% if not g.known_js_disabled %}
			<noscript>
				<div>
					<h1>{{ gettext("Warning!") }}</h1>
					<p>{{
						gettext(
							"JavaScript is disabled. If it was enabled in the past, your "
							"browser may still have your private key stored in its local "
							"storage. This could potentially allow others to read your "
							"private messages."
						)
					}}</p>
				</div>
				<hr>
			</noscript>
		{% endif %}
		<p>
			{{ gettext("You have been logged out.") }}
			<a
				href="{{ url_for('forum.list_') }}"
			>{{ gettext("If you're not automatically redirected, click here.") }}</a>
		</p>
		<script>
			// Is this a waste of time? But, at the same time, we want to give the
			// users a bit of time to read the text. And this page does need to be
			// loaded, due to the JS private key removal.
			setTimeout(function () {
				window.location.replace("{{ url_for('forum.list_') }}");
			}, 1000);
		</script>
	</section>
{% endblock %}
